import 'package:flutter/material.dart';
import 'package:watermanagement/settings.dart';


class PendingSuppliersModel {
  String customer_name = '';
  String customer_phone_number='';
  String customer_address='';
  String customer_id='';
  Color text_color=Colors.black;


  PendingSuppliersModel();

  factory PendingSuppliersModel.fromJson(Map<String, dynamic> json){
    PendingSuppliersModel rtvm = new PendingSuppliersModel();

    rtvm.customer_name = json['username'] ?? '';
    rtvm.customer_phone_number = json['phone'] ?? '';
    rtvm.customer_address = json['profile']['address1'] ?? '';
    rtvm.customer_id = json['customerId'] ?? '';
    return rtvm;
  }

}